질문/조언질답게시판

후이즈에 있는 단독서버를 이용할려고 합니다.

 

처음 이용하게 될거라서 초보라 전화하여 문의를했는데요.

 

질문

1. 서버구입 임대와   월 임대가 있던데 어느것으로 가야되는지요.

전화상담결과 서버구입은 말그대로 구입을 해서 장소와 회선등 이용료를 월 내는거고

월임대는 이용료에 서버 비용이 분할 포함되었다고 하던데 결정을 못하겠습니다.

 

2. 서버운영경험은 없고 호스팅을 이용하였으며

 ftp나 ssh, mysql접속해서 넣고 빼고 이런거만 할줄알아서

서부임대를 할경우 후이즈 측에서 기본적인 아파치, phpmyadmin 등을 설치가 가능하다고하는데

호스팅처럼 이용하면 되는건지 아니면 다른 셋팅이나 설치를 해야되는건지 궁금합니다.

 

3. 단독서버 임대하시는분중에 동접 500명정도의 임대를 할경우 대략 얼마정도선이 적당한가요..

알아본건 https://idc.whois.co.kr/serverhosting/server_product_view.php?id=SH201107010138&category_id=9

위에것을 상담원이 추천해주셨는데 전문가님들의 자문을 구하고 싶습니다

 

4. 위에것말고 좋은 곳있으면 추천도 해주시면 고려해보겠습니다.

 

초보라 두서없이 적어서 죄송합니다.

  • profile

    신규로 서비스를 오픈하면서 서버의 root나 다른 기능의 제약 없이 사용하고 싶으시다면..
    가상 서버 호스팅을 이용하시길 추천 드립니다.

  • profile profile
    답장감사합니다....한번 검색해보겠습니다.
  • profile

    1. 값비싼 서버 구입은 호갱님이 되는 지름길입니다. 임대하세요.
    참고: https://xetown.com/tiptalk/418599

    2. 셋팅은 직접 신경쓰셔야 합니다. 업체에서 해주는 건 겨우 돌아가는 수준이지 전혀 최적화가 되어 있지 않아서 서버 성능을 제대로 뽑아내지 못합니다. (느리거나 불안정하다고 문의하면 더 비싼 서버로 업그레이드하라고 유도하기 딱 좋은 상황)

    3. 필요한 사양은 사이트 특성에 따라 수십~수백 배 차이나기 때문에 한 마디로 말씀드리기 어렵습니다만, XE로 운영하는 일반적인 커뮤니티 기준으로 요즘 단독서버는 셋팅만 제대로 해놓으면 제일 싼 거 쓰셔도 500명은 거뜬합니다. 물론 엉터리로 셋팅하면 50명만 들어와도 뻗습니다 ㅡ.ㅡ

  • profile profile
    글이 큰도움이 되었습니다.
    내일 실 구매자분께서 임대형으로 1개월 써보신다고 하셨는데 기본셋팅만 해준다고해서
    실질적으로 어떻게 XE를 셋팅해야되는지 관련링크나 자료를 볼수있는곳이 있는지요....
  • profile profile

    라엘님 블로그에 서버 세팅관련 정보가 꽤 많이 있습니다.
    https://blog.lael.be/

  • profile profile
    감사합니다.^^
  • profile profile
    Apache 2.2.14 (openssl 0.9.8k) [ http://httpd.apache.org ]
    - Server\Apache
    - mod_log_rotate 1.00a
    - mod_security 2.5.10

    PHP 5.4.40


    Zend Optimizer v3.3.3 [ http://www.zend.com ]
    - Server\ZendOptimizer

    MySQL 5.1.39 [ http://www.mysql.com ]
    - Server\MySQL5

    phpMyAdmin 3.2.3 [ http://www.phpmyadmin.net ]
    - Server\phpMyAdmin


    이 환경으로 제작된 사이트가 하나있는데
    임대할경우 apm버전이 높으면 구문이 틀려서 에러가 난다고 들었습니다.
    그러면 위에 사용으로 비슷하게 셋팅할경우
    최신 버전과의 속도나 처리 차이가 심하게 날까요 ㅜㅜ
  • profile profile
    버전을 완벽하게 맞추려고 하지는 마세요. 완벽하게 맞추려고 하면 소스 컴파일을 하게 되고, 그러면 관리하기가 더 힘들어집니다. 심지어 logrotate 버전까지 지정하는 것은 그냥 문제 생겼을 때 책임지지 않을 핑계를 만들어내기 위한 개발자 편의적인 발상 같네요.

    5.4.40으로 제작된 사이트라면 5.4.X 계열은 모두 상관없고요, Zend Optimizer나 phpmyadmin은 호환되는 버전 아무거나 쓰셔도 됩니다. 아파치는 2.2.X 계열이면 모두 괜찮을 것이고, 소스 한두 줄만 바꿔주면 2.4.X도 괜찮을 겁니다. MySQL도 원래 버전보다 낮지만 않으면 대체로 문제가 없고, 만약 문제가 눈에 띄더라도 sql_mode 설정 변경으로 해결 가능합니다.
  • profile profile
    자문감사합니다. 말씀하신대로 진행하는방향으로
    잡아보겠습니다.^^
  • ?

    http://www.foodbreads.com 여기 참조하셔도 될듯...

  • ? profile
    감사합니다.

서버에 요청 중입니다. 잠시만 기다려 주십시오...